<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/list_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <RelativeLayout
                tools:visibility="visible"
                android:visibility="gone"
                android:id="@+id/header"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:background="@color/transparent">

                <View
                    android:id="@+id/emptyView"
                    android:layout_width="match_parent"
                    android:layout_height="0dp" />

                <LinearLayout
                    android:id="@+id/categoryContainer"
                    android:layout_width="match_parent"
                    android:layout_toLeftOf="@+id/openContainer"
                    android:paddingLeft="6dp"
                    android:layout_height="28dp"
                    android:layout_centerVertical="true"
                    android:orientation="horizontal" />

                <LinearLayout
                    android:id="@+id/openContainer"
                    android:layout_width="28dp"
                    android:layout_height="28dp"
                    android:layout_centerVertical="true"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="14dp"
                    android:background="@drawable/oval_f5_bg"
                    android:gravity="center">

                    <ImageView
                        android:id="@+id/openIv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_commodity_open"
                        android:scaleType="centerCrop" />
                </LinearLayout>
            </RelativeLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <LinearLayout
        android:visibility="gone"
        android:id="@+id/bottom"
        android:layout_width="174dp"
        android:layout_height="48dp"
        android:layout_marginBottom="72dp"
        android:layout_centerHorizontal="true"
        android:layout_alignParentBottom="true"
        android:gravity="center_horizontal"
        android:background="@drawable/bg_commodity_bottom_more">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:includeFontPadding="false"
            android:textColor="@color/theme_font"
            android:textSize="12sp"
            android:text="@string/commodity_list_bottom_tip" />
    </LinearLayout>

    <include
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <include layout="@layout/reuse_no_connection" />

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception" />

</RelativeLayout>